
Infrastructure - Task #7134

Story # 6721 (Closed): Update replication and replication auditing for v2 API changes

Update replication component to encapsulate use of V1, V2 replication API and communication

depending on MN support

2015-05-28 18:06 - Skye Roseboom

Status: Closed Start date: 2015-05-28

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

If MN supports V2, use V2 replication REST endpoints and V2 communication objects from libclient.

History

#1 - 2015-05-28 18:06 - Skye Roseboom

- Category set to d1_replication

#2 - 2015-07-14 20:56 - Chris Jones

- Assignee changed from Skye Roseboom to Chris Jones

#3 - 2016-01-05 18:57 - Skye Roseboom

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Ben did some v1 and v2 replication communication work.  I worked on the replication target determination logic so replicas are placed in appropriate

MN (v1, v2).  replication working properly in production.
